<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-glossary.qdoc -->
  <title>Glossary | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Glossary</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-known-issues.html" />
  <link rel="next" href="technical-support.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-known-issues.html">Known Issues</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="technical-support.html">Technical Support</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Glossary</h1>
<span class="subtitle"></span>
<!-- $$$creator-glossary.html-description -->
<div class="descr"> <a name="details"></a>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Term</th><th >Meaning</th></tr></thead>
<tr valign="top" class="odd"><td >Build configuration <a name="glossary-build-config"></a></td><td >Contains all the information you need to compile the sources into binaries. Different build configurations allow you to quickly build the project for different purposes. By default, Qt Creator creates <i>debug build</i> and <i>release build</i> configurations for each <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a> defined for your project. A debug build contains additional debug symbols that you need for debugging the application but that you can leave out from the release version. Generally, you use the debug configuration for testing and the release configuration for creating the final installation file.</td></tr>
<tr valign="top" class="even"><td >Build step <a name="glossary-build-step"></a></td><td >A command that Qt Creator executes to accomplish a basic step in a complex task such as cleaning, building, or deploying a project. Qt Creator executes build steps in sequence to complete the task. The number and type of necessary build steps depends on the project type and the build system you use. For example, projects that are based on <code>qmake</code> specify build steps to use <code>qmake</code> and <code>make</code>.</td></tr>
<tr valign="top" class="odd"><td >Component <a name="glossary-component"></a></td><td >An instantiable QML definition, typically contained in a .qml file. For instance, a Button component may be defined in Button.qml. The QML runtime may instantiate this Button component to create Button objects. Alternatively, a component may be defined inside a <a href="http://doc.qt.io/qt-5/qml-qtqml-component.html">Component</a> QML type.</td></tr>
<tr valign="top" class="even"><td >Deploy configuration <a name="glossary-deploy-config"></a></td><td >Handles the packaging and copying of the necessary files to a location you want to run the executable at. The files can be copied to a location in the file system of the development PC or a <a href="creator-glossary.html#glossary-device">device</a>.</td></tr>
<tr valign="top" class="odd"><td >Device <a name="glossary-device"></a></td><td >An embedded device or a mobile device. For more information, see <a href="creator-os-supported-platforms.html#target-platforms">Target Platforms</a>.</td></tr>
<tr valign="top" class="even"><td >Kit <a name="glossary-buildandrun-kit"></a></td><td >Qt Creator groups build and run specific settings as kits to make cross-platform development easier. Each kit consists of a set of values that define one environment, such as a <a href="creator-glossary.html#glossary-device">device</a>, tool chain, Qt version, and debugger command to use. Configure kits at <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>.</td></tr>
<tr valign="top" class="odd"><td >Mode <a name="glossary-mode"></a></td><td >Adapts the Qt Creator user interface to the different application development tasks at hand. Each mode has its own view that shows only the information required for performing a particular task, and provides only the most relevant features and functions related to it. As a result, the majority of the Qt Creator window area is always dedicated to actual application development tasks.</td></tr>
<tr valign="top" class="even"><td >Project <a name="glossary-project"></a></td><td >Groups together a set of source files, forms, and resource files that you can build for, as well as deploy and run on different desktop and <a href="creator-glossary.html#glossary-device">device</a> platforms, as specified by a <i>build configuration</i>, <i>deploy configuration</i>, and <i>run configuration</i>.</td></tr>
<tr valign="top" class="odd"><td >Qt version <a name="glossary-project-qt"></a></td><td >Qt Creator allows you to have multiple versions of Qt installed on your development PC and use different versions to build your projects for different purposes.</td></tr>
<tr valign="top" class="even"><td >Run configuration <a name="glossary-run-config"></a></td><td >Starts the application in the location where it was copied by the <i>deploy configuration</i>. By default, when you run a project, Qt Creator builds it, deploys it to the <a href="creator-glossary.html#glossary-device">device</a> specified in the selected <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a>, and runs it there. However, if you have not made any changes to the project since you last built and deployed it, Qt Creator simply runs it again.</td></tr>
<tr valign="top" class="odd"><td >Shadow build <a name="glossary-shadow-build"></a></td><td >Shadow building means building a project in a separate directory, the <i>build directory</i>. The build directory is different from the <i>source directory</i>. One of the benefits of shadow building is that it keeps your source directory clean, which makes it faster to switch between <i>build configurations</i>. Therefore, shadow building is the best practice if you need many build configurations for a single set of source files.</td></tr>
</table></div>
</div>
<!-- @@@creator-glossary.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-known-issues.html">Known Issues</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="technical-support.html">Technical Support</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
